FLANG

Classes | Public Member Functions | List of all members
Fortran::parser::CharBuffer Class Reference

## Public Member Functions
| CharBuffer (CharBuffer &&that)
CharBuffer & | operator= (CharBuffer &&that)
bool | empty () const
std::size_t | bytes () const
void | clear ()
char * | FreeSpace (std::size_t &)
void | Claim (std::size_t)
std::size_t | Put (const char *data, std::size_t n)
std::size_t | Put (const std::string &)
std::size_t | Put (char x)
std::string | Marshal () const

The documentation for this class was generated from the following files:

- include/flang/Parser/char-buffer.h
- lib/Parser/char-buffer.cpp